(function( $ ) {
    'use strict';

    $(document).ready(function(){
        actions.saveOptions();
    });
    
    let actions = {
        saveOptions : function () {
            $(document).on('submit', '#monetization_form', function (e) {
                e.preventDefault();
                let form = $(this);
                let btn = form.find('button[type="submit"]');
                btn.attr('disabled', true);

                let message = $('.soc_status_message');

                $.post(admin_post, form.serialize()).done(function (e) {
                    btn.attr('disabled', false);

                    console.log(e.message);

                    message.find('.soc_message').empty().html(`<i class="fa fa-check"></i> ${e.message}`);
                    message.slideDown();

                    setTimeout(
                        function()
                        {
                            message.slideUp();
                            message.find('.soc_codes_message').empty();
                        }, 5000);
                });
            });

            $(document).on('submit', '#css_hook_form', function (e) {
                e.preventDefault();

                let form = $(this);
                let btn = form.find('button[type="submit"]');
                btn.attr('disabled', true);

                let message = $('.soc_codes_status_message');

                $.post(admin_post, form.serialize()).done(function (e) {
                    btn.attr('disabled', false);
                    
                    message.find('.soc_codes_message').empty().html(`<i class="fa fa-check"></i> ${e.message}`);
                    message.slideDown();

                    setTimeout(
                        function()
                        {
                            message.slideUp();
                            message.find('.soc_codes_message').empty();
                        }, 5000);
                });
            })
        }
    };
    
})( jQuery );





